<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<script type="text/javascript" src="resize.js"></script>
		<link type="text/css" rel="stylesheet" href="css/editor.css" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Pragma" content="no-cache" />
		<title>Weathermap4RRD editor</title>
	</head>
	<body>
		<script type="text/javascript" src="wz_dragdrop.js"></script>
		<!--- main frame div -->
		<div id="mframe">
			<!--- menu -->
			<div id="headmenu">
				<div style="display: table; margin-left: 10px; margin-top: 13px;">
					<div style="display: table-row;">
						<div class="tcell">
							<a href="javascript:document.myform.submit()">
								<img width="98px" height="32px" src="images/save.png" alt="Save" />
							</a>
						</div>
						<div style="display: table-cell; width: 20px;">
							<!--- block -->
						</div>
						<div class="tcell">
							<a href="{scriptname}?module=editor&#38;action=revert">
								<img width="110px" height="32px" src="images/revert.png" alt="Revert" />
							</a>
						</div>
						<div style="display: table-cell; width: 20px;">
							<!--- block -->
						</div>
						<div class="tcell">
							<a href="{scriptname}?module=formglobal">
								<img width="186px" height="32px" src="images/global.png" alt="Global options" />
							</a>
						</div>
						<div style="display: table-cell; width: 20px;">
							<!--- block -->
						</div>
						<div class="tcell">
							<a href="{scriptname}?module=formnode">
								<img width="128px" height="32px" src="images/nodeadd.png" alt="Add node" />
							</a>
						</div>
						<div style="display: table-cell; width: 20px;">
							<!--- block -->
						</div>
						<div class="tcell">
							<a href="{scriptname}?module=formlink">
								<img width="128px" height="32px" src="images/linkadd.png" alt="Add link" />
							</a>
						</div>
					</div>
				</div>
				<div style="display: table; margin-left: 10px;">
					<div style="display: table-row;">
						<div style="display: table-cell;">
							<img width="139px" height="32px" src="images/nodeedit.png" alt="Edit node" />
						</div>
						<form id="editNode" action="{scriptname}?module=formnode&#38;action=edit" method="post">
							<div style="display: table-cell; height: 32px; vertical-align: middle;">
								<input name="action" value="edit" type="hidden" />
								<select style="margin-left: 10px;" name="node" onchange="submit()">
									<option value="-1" selected="selected">select node</option>
									<xsl:for-each select="nodes/entry">
										<option value="{value}">
											<xsl:value-of select="name" />
											<xsl:if test="selected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
										</option>
									</xsl:for-each>
								</select>
							</div>
						</form>
						<div style="display: table-cell; width: 50px;">
							<!--- block -->
						</div>
						<div style="display: table-cell;">
							<img width="139px" height="32px" src="images/linkedit.png" alt="Edit link" />
						</div>
						<form id="editLink" action="{scriptname}?module=formlink&#38;action=edit" method="post">
							<div style="display: table-cell; height: 32px; vertical-align: middle;">
								<input name="action" value="edit" type="hidden" />
								<select name="link" style="margin-left: 10px;" onchange="submit()">
									<option value="-1" selected="selected">select link</option>
									<xsl:for-each select="links/entry">
										<option value="{name}">
											<xsl:value-of select="name" />
											<xsl:if test="selected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
										</option>
									</xsl:for-each>
								</select>
							</div>
						</form>
					</div>
				</div>
			</div><!--- menu ends -->
			<form id="myform" name="myform" method="post" action="{scriptname}?module=editor&#38;action=save">
				<div>
					<xsl:for-each select="objects/entry">
						<img src="{src}" name="{id}" style="position: absolute; left: {posx}px; top:{posy}px;" alt="{label}" />
						<input name="X{id}" type="hidden" size="12" />
						<input name="Y{id}" type="hidden" size="12" />
					</xsl:for-each>
				</div>
			</form>
			<div id="cadre">
				<img src="{scriptname}?module=drawmap&#38;ovrnet=1" usemap="#arrowmap" alt="" />
			</div>
			<script type="text/javascript" src="positioning.js"></script>
			<xsl:if test="debug">
				<div style="width: 90%; position: absolute; left: 0px; color: #fff; top: {debugtop}px;">
					<xsl:for-each select="debug/entry">
						<div class="debugmsg">
							<xsl:value-of select="text" />
						</div>
					</xsl:for-each>
				</div>
			</xsl:if>
		</div><!--- main frame div -->
	</body>
</html>
